#ifndef CALCULATOR_H
#define CALCULATOR_H


#include <QWidget>
#include <QStack>
#include <QGridLayout>
#include <QLCDNumber>
#include <QPushButton>
#include <QRadioButton>
#include <QButtonGroup>

class QLCDNumber;
class QPushButton;

class Calculator :  public QWidget
{
    Q_OBJECT
private:
    QButtonGroup* m_rb_group1;
    QLCDNumber* m_plcd;
    QGridLayout* m_Layout;
    QStack<QString> m_stk;
    QString m_strDisplay;

public:
    Calculator(QWidget* pwgt = nullptr);
    QPushButton* createButton(const QString& str);
    void commonCalculator();
    void engineerCalculator();
    void calculateBinary();
    void calculateUnary();

public slots:
    void slotButtonClicked();
    void changeCalculatorType();

};



#endif // CALCULATOR_H
